# drugi kolokvijum 2012, GNU Octave zadatak

logw = linspace(-3, 3, 601);
w = 10.^logw;

a = 20 * log10(abs(1 ./ (1 + 3*j*w - w.^2)));
phi = 180/pi * arg(1 ./ (1 + 3*j*w - w.^2));

dat = [logw', a', phi'];

save dat-a dat

figure(1)
plot(logw, a)
xlabel('log(w/w_P)')
ylabel('a(w/w_P) [dB]')
print('amplituda-a.png', '-dpng')

figure(2)
plot(logw, phi)
xlabel('log(w/w_P)')
ylabel('phi(w/w_P) [deg]')
print('faza-a.png', '-dpng')

